Page MenuHomePhabricator

Add a source address/interface option for commit archive connections
Closed, ResolvedPublicENHANCEMENT

Description

In some situations it's handy to be able to explicitly set the source address. For example, it a router is using link-local addresses, and the archive server is not directly connected, you have to set the address by hand, else it will be using an address that is unroutable for the remote host.

set system config-management commit-archive source-address <intf|addr>

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

dmbaturin triaged this task as Normal priority.Jul 25 2019, 3:44 PM
dmbaturin created this task.
dmbaturin updated the task description. (Show Details)
pasik added a subscriber: pasik.Jul 30 2019, 9:40 AM
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.3) board.
dmbaturin changed the task status from Open to Needs testing.Aug 31 2019, 8:56 PM

Cherry-picked into crux.

syncer closed this task as Resolved.Sep 4 2019, 1:31 AM